import java.util.Properties;

import javax.mail.Authenticator;
import javax.mail.Message;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;


public class EnvoiCourrier {

    private static final String SMTP_HOST_NAME = "smtp.orange.fr";
    private static final String SMTP_AUTH_USER = "moi@orange.fr";
    private static final String SMTP_AUTH_PWD  = "****";
    private static final String MAIL_ADDRESS = "moi@orange.fr";

    public static void main(String[] args) throws Exception{
       new EnvoiCourrier().test();
    }

    public void test() throws Exception{
        Properties props = new Properties();
        props.put("mail.transport.protocol", "smtp");
        props.put("mail.smtp.host", SMTP_HOST_NAME);
        props.put("mail.smtp.auth", "true");

        Authenticator auth = new SMTPAuthenticator();
        Session mailSession = Session.getDefaultInstance(props, auth);
        // commenter pour viter la trace
          mailSession.setDebug(true);
        Transport transport = mailSession.getTransport();

        MimeMessage message = new MimeMessage(mailSession);
        message.setContent("Ceci est un test", "text/html");
        message.setSubject("Essai avec pice attache");
        message.setFrom(new InternetAddress(MAIL_ADDRESS));
        message.addRecipient(Message.RecipientType.TO,
             new InternetAddress(MAIL_ADDRESS));

        transport.connect();
        transport.sendMessage(message,
            message.getRecipients(Message.RecipientType.TO));
        transport.close();
        System.out.println("OK");
    }

    private class SMTPAuthenticator extends javax.mail.Authenticator {
        public PasswordAuthentication getPasswordAuthentication() {
           String username = SMTP_AUTH_USER;
           String password = SMTP_AUTH_PWD;
           return new PasswordAuthentication(username, password);
        }
    }
}