import java.util.Properties;

import javax.mail.MessagingException;
import javax.mail.Quota;
import javax.mail.Session;
import javax.mail.Store;

import com.sun.mail.imap.IMAPStore;


public class GestionQuota {
	private static String IMAP_HOST= "imap.orange.fr";
	private static String IMAP_PORT = "143";
	private static String IMAP_USER = "moi@orange.fr";
	private static String IMAP_PASSWORD = "****";


	/**
	 * @param args
	 * @throws MessagingException 
	 */
	public static void main(String[] args) throws MessagingException {
		/*http://www.tutorialspoint.com/javamail_api/ */
		 Properties properties = new Properties();
         properties.put("mail.store.protocol", "imap");
         properties.put("mail.imaps.port", IMAP_PORT);
         properties.put("mail.imaps.starttls.enable", "false");
         Session emailSession = Session.getDefaultInstance(properties);
          emailSession.setDebug(true);

         // create the IMAP3 store object and connect with the pop server
         Store store = emailSession.getStore("imap");

         //change the user and password accordingly
         store.connect(IMAP_HOST, IMAP_USER, IMAP_PASSWORD);
         IMAPStore imapStore = (IMAPStore) store;
         System.out.println("imapStore ---" + imapStore);

         //get quota
         Quota[] quotas = imapStore.getQuota("INBOX");
         //Iterate through the Quotas
         for (Quota quota : quotas) {
            System.out.println(String.format("quotaRoot:'%s'",
               quota.quotaRoot));
            //Iterate through the Quota Resource
            for (Quota.Resource resource : quota.resources) {
               System.out.println(String.format(
                  "nom:'%s', limite:'%s', utilisation:'%s'", resource.name,
                  resource.limit, resource.usage));
            }
         }
	}

}
