import java.util.Properties;

import javax.mail.Folder;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.NoSuchProviderException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Store;

public class ReceptionCourriel {
	
	private static String IMAP_HOST= "imap.orange.fr";
	private static int IMAP_PORT = 143;
	private static String IMAP_USER = "moi@orange.fr";
	private static String IMAP_PASSWORD = "****";

   public static void main (String args[])
   {
      try {
      // Proprits du serveur
      Properties properties = new Properties();
      properties.put("mail.imap.host", IMAP_HOST);
      properties.put("mail.imap.port", IMAP_PORT);
    //  properties.put("mail.imaps.starttls.enable", "true");

      // Identification
      Session emailSession = Session.getInstance(properties,
         new javax.mail.Authenticator() {
            protected PasswordAuthentication getPasswordAuthentication() {
               return new PasswordAuthentication(
            		   IMAP_USER, IMAP_PASSWORD);
            }
         });
      // enlever le commentaire pour debug
      // emailSession.setDebug(true);

      // cration de la boite IMAP
      Store store = emailSession.getStore("imap");
      store.connect();

      // cration du dossier de rception
      Folder emailFolder = store.getFolder("INBOX");
      emailFolder.open(Folder.READ_ONLY);

      // rcupre les messages dans la boite de rception et affiche les en ttes
      Message[] messages = emailFolder.getMessages();
      System.out.println("Nombre de messages---" + messages.length);

      for (int i = 0, n = messages.length; i < n; i++) {
         Message message = messages[i];
         System.out.println("---------------------------------");
         System.out.println("Message numro " + (i + 1));
         System.out.println("Objet: " + message.getSubject());
         System.out.println("De: " + message.getFrom()[0]);
         System.out.println("Texte: " + message.getContent().toString());
      }

      // Fermeture du compte
      emailFolder.close(false);
      store.close();

      } catch (NoSuchProviderException e) {
         e.printStackTrace();
      } catch (MessagingException e) {
         e.printStackTrace();
      } catch (Exception e) {
         e.printStackTrace();
      }
   }



}